Mandrake Linux Security Advisory : libxpm4 (MDKSA-2004:098)

High Nessus Plugin ID 14754


The remote Mandrake Linux host is missing one or more security updates.


Chris Evans found several stack and integer overflows in the libXpm code of X.Org/XFree86 (from which the libxpm code is derived) :

Stack overflows (CVE-2004-0687) :

Careless use of strcat() in both the XPMv1 and XPMv2/3 xpmParseColors code leads to a stack based overflow (parse.c).

Stack overflow reading pixel values in ParseAndPutPixels (create.c) as well as ParsePixels (parse.c).

Integer Overflows (CVE-2004-0688) :

Integer overflow allocating colorTable in xpmParseColors (parse.c) - probably a crashable but not exploitable offence.

The updated packages have patches from Chris Evans and Matthieu Herrb to address these vulnerabilities.


Update the affected packages.

Plugin Details

Severity: High

ID: 14754

File Name: mandrake_MDKSA-2004-098.nasl

Version: $Revision: 1.18 $

Type: local

Published: 2004/09/16

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64xpm4, p-cpe:/a:mandriva:linux:lib64xpm4-devel, p-cpe:/a:mandriva:linux:libxpm4, p-cpe:/a:mandriva:linux:libxpm4-devel, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/09/15

Reference Information

CVE: CVE-2004-0687, CVE-2004-0688

MDKSA: 2004:098